## ksystemlog 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSystemlog VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.92.0")

find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

add_definitions(-DTRANSLATION_DOMAIN="ksystemlog")

include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})




ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSYSTEMLOG
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/ksystemlog_version.h")

find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    Network
    Widgets
    Test
    PrintSupport
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    CoreAddons
    WidgetsAddons
    ItemViews
    KIO
    Config
    Archive
    I18n
    Completion
    TextWidgets
)
find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(Journald)
find_package(Audit)

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckTypeSize)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

# Help Eclipse to parse errors more efficiently
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0")
endif(CMAKE_COMPILER_IS_GNUCC)
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fmessage-length=0")
endif(CMAKE_COMPILER_IS_GNUCXX)


add_custom_target(
    pkg
    COMMAND ./build-package.sh
)

##
# To specify a different install prefix, use :
# cmake -D CMAKE_INSTALL_PREFIX=build .
#
# To help Eclipse discover include paths, use :
# cmake -D CMAKE_VERBOSE_MAKEFILE=true .
##

if (${JOURNALD_FOUND})
    add_definitions(-DHAVE_JOURNALD)
endif (${JOURNALD_FOUND})

if (${AUDIT_FOUND})
    add_definitions(-DHAVE_AUDIT)
endif (${AUDIT_FOUND})

########### Subfolders ##########
ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.92
)


add_subdirectory(src)

add_subdirectory(autotests)

find_package(KF5I18n CONFIG REQUIRED)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KSYSTEMLOG FILE ksystemlog.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( 
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../src
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/config
  ${CMAKE_CURRENT_BINARY_DIR}/../src/config
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/lib
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/modes/system
  ${CMAKE_CURRENT_SOURCE_DIR}/../src/modes/kernel
)

add_library(testCore STATIC testUtil.cpp testResources.qrc )
target_link_libraries(testCore PUBLIC
    Qt${QT_MAJOR_VERSION}::Test
    ksystemlog_lib
    ksystemlog_base_mode
    ksystemlog_config
    ksystemlog_system
    ksystemlog_kernel)


macro(ksystemlog_unit_tests)
	foreach(unitTest ${ARGN})
            ecm_add_test(${unitTest}.cpp TEST_NAME ksystemlog-${unitTest} LINK_LIBRARIES testCore)
	endforeach(unitTest)
endmacro(ksystemlog_unit_tests)

ksystemlog_unit_tests(
	logModeFactoryTest
	systemAnalyzerTest
        kernelAnalyzerTest

    # Not real unit tests
	kioLogFileReaderTest

        # Needs to be ported away from KDELibs4Support:
        # findIncompatibleKioTest
)

=== src/modes/base/CMakeLists.txt ===
add_library(ksystemlog_base_mode STATIC)

target_sources(ksystemlog_base_mode PRIVATE
	parsingHelper.cpp
	fileList.cpp
	logLevelFileList.cpp
	multipleFileList.cpp
	fileListHelper.cpp
	logLevelSelectionDialog.cpp
	genericConfiguration.cpp
	syslogAnalyzer.cpp

        parsingHelper.h
        fileList.h
        logLevelFileList.h
        multipleFileList.h
        fileListHelper.h
        logLevelSelectionDialog.h
        genericConfiguration.h
        syslogAnalyzer.h
    )

ki18n_wrap_ui(ksystemlog_base_mode fileListBase.ui )
ki18n_wrap_ui(ksystemlog_base_mode multipleFileListBase.ui )

ki18n_wrap_ui(ksystemlog_base_mode logLevelSelectionDialogBase.ui )


add_dependencies(
	ksystemlog_base_mode 
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_base_mode
	
	ksystemlog_lib
	ksystemlog_config

        KF5::XmlGui
)

=== debian/changelog ===
ksystemlog (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:59 +0100

=== debian/control ===
Source: ksystemlog
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               libaudit-dev [linux-any],
               libkf5archive-dev (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5itemviews-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5textwidgets-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5xmlgui-dev (>= 5.92.0~),
               libsystemd-dev [linux-any],
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ksystemlog
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git

Package: ksystemlog
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: system log viewer
 KSystemLog show all logs of your system, grouped by General (Default system
 log, Authentication, Kernel, X.org...), and optional Services (Apache, Cups,
 etc, ...). It includes many features to read nicely your log files:
  * Colorize log lines depending on their severities
  * Tabbed view to allow displaying several logs at the same time
  * Auto display new lines logged
  * Detailed information for each log lines
 .
 This package is part of the KDE administration module.

## ksystemlog 23.08.0

=== debian/changelog ===
ksystemlog (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:23 +0100

ksystemlog (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:51 +0100

ksystemlog (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:32 +0100

ksystemlog (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:19 +0100

ksystemlog (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:59 +0000

ksystemlog (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:24:39 -0600

ksystemlog (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:48 +0000

ksystemlog (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Kubuntu Vcs and maintainer fields.
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 10:40:54 +0000

ksystemlog (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:28 +0000

ksystemlog (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:42 +0000

ksystemlog (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:46 +0000

ksystemlog (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:41 +0000

## ksystemlog 23.08.1

=== debian/changelog ===
ksystemlog (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:21 +0100

## ksystemlog 23.08.4

=== debian/changelog ===
ksystemlog (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:34 +0000

ksystemlog (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:49 +0000

ksystemlog (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:34 +0100

## ksystemlog 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemlog VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.15.2")
-set (KF5_MIN_VERSION "5.92.0")
+set (KF_MIN_VERSION "5.102.0")
 
-find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 add_definitions(-DTRANSLATION_DOMAIN="ksystemlog")
@@ -23,6 +23,13 @@
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
@@ -46,7 +53,7 @@
     find_package(Qt6Core5Compat)
 endif()
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     XmlGui
     CoreAddons
     WidgetsAddons
@@ -58,8 +65,8 @@
     Completion
     TextWidgets
 )
-find_package(KF5DocTools ${KF5_MIN_VERSION})
-set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})
+set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
     "Tools to generate documentation"
     TYPE OPTIONAL
 )
@@ -107,7 +114,7 @@
 
 ########### Subfolders ##########
 ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.92
+    KF 5.102
 )
 
 
@@ -115,8 +122,8 @@
 
 add_subdirectory(autotests)
 
-find_package(KF5I18n CONFIG REQUIRED)
-if (KF5DocTools_FOUND)
+find_package(KF${KF_MAJOR_VERSION}I18n CONFIG REQUIRED)
+if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
     kdoctools_install(po)
     add_subdirectory(doc)
 endif()

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/modes/kernel
 )
 
-add_library(testCore STATIC testUtil.cpp testResources.qrc )
+add_library(testCore STATIC testUtil.cpp testUtil.h testResources.qrc )
 target_link_libraries(testCore PUBLIC
     Qt${QT_MAJOR_VERSION}::Test
     ksystemlog_lib

=== src/CMakeLists.txt ===

########### Build ###############

add_subdirectory(lib)
add_subdirectory(config)

add_subdirectory(modes/base)
add_subdirectory(modes/open)

add_subdirectory(modes/system)
add_subdirectory(modes/kernel)
add_subdirectory(modes/xorg)
add_subdirectory(modes/cron)
add_subdirectory(modes/authentication)
add_subdirectory(modes/daemon)
add_subdirectory(modes/acpid)
add_subdirectory(modes/xsession)
add_subdirectory(modes/apache)
add_subdirectory(modes/postfix)
add_subdirectory(modes/samba)
add_subdirectory(modes/cups)
if (${AUDIT_FOUND})
    add_subdirectory(modes/audit)
endif (${AUDIT_FOUND})
if (${JOURNALD_FOUND})
    add_subdirectory(modes/journald)
endif (${JOURNALD_FOUND})

add_executable(ksystemlog)
target_sources(ksystemlog PRIVATE
    main.cpp
    mainWindow.cpp
    logModePluginsLoader.cpp
    loggerDialog.cpp
    detailDialog.cpp
    generalConfigurationWidget.cpp
    configurationDialog.cpp
    tabLogViewsWidget.cpp
    tabLogManager.cpp
    statusBar.cpp
    mainWindow.h
    logModePluginsLoader.h
    loggerDialog.h
    detailDialog.h
    generalConfigurationWidget.h
    configurationDialog.h
    tabLogViewsWidget.h
    tabLogManager.h
    statusBar.h
)

ki18n_wrap_ui(ksystemlog
    detailDialogBase.ui
    loggerDialogBase.ui
    generalConfigurationWidgetBase.ui
)


target_link_libraries(ksystemlog
    ksystemlog_lib
    ksystemlog_config
    ksystemlog_open
    ksystemlog_system
    ksystemlog_kernel
    ksystemlog_xorg
    ksystemlog_cron
    ksystemlog_apache
    ksystemlog_authentication
    ksystemlog_daemon
    ksystemlog_acpid
    ksystemlog_xsession
    ksystemlog_postfix
    ksystemlog_cups
    ksystemlog_samba

    KF${KF_MAJOR_VERSION}::Archive
    KF${KF_MAJOR_VERSION}::TextWidgets
)

if (${JOURNALD_FOUND})
    target_link_libraries(ksystemlog
        ksystemlog_journald)
endif(${JOURNALD_FOUND})

if (${AUDIT_FOUND})
    target_link_libraries(ksystemlog
        ksystemlog_audit)
endif(${AUDIT_FOUND})

########### Installation ###############

install(TARGETS ksystemlog ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.ksystemlog.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.ksystemlog.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES ksystemlogui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/ksystemlog)

=== src/config/CMakeLists.txt ===

add_library(ksystemlog_config STATIC dummyConfig.cpp)
kconfig_add_kcfg_files(ksystemlog_config ksystemlogConfig.kcfgc)

target_link_libraries(ksystemlog_config
        KF${KF_MAJOR_VERSION}::ConfigGui
)

=== src/lib/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/../config
)
add_library(ksystemlog_lib STATIC ${ksystemlog_lib_sources})
target_sources(ksystemlog_lib PRIVATE
    analyzer.cpp
    fileAnalyzer.cpp
    logModeFactory.cpp
    logModeConfiguration.cpp
    logModeConfigurationWidget.cpp
    logModeItemBuilder.cpp
    logManager.cpp
    view.cpp
    globals.cpp
    logMode.cpp
    logLevel.cpp
    logFile.cpp
    logFileReader.cpp
    localLogFileReader.cpp
    processOutputLogFileReader.cpp
    kioLogFileReader.cpp
    logLine.cpp
    logViewModel.cpp
    logViewColumn.cpp
    logViewColumns.cpp
    logViewWidgetItem.cpp
    logViewWidget.cpp
    logViewExport.cpp
    logViewFilterWidget.cpp
    logViewSearchWidget.cpp
    loadingBar.cpp
    logModeAction.cpp
    simpleAction.cpp
    multipleActions.cpp
    levelPrintPage.cpp

    analyzer.h
    fileAnalyzer.h
    logModeFactory.h
    logModeConfiguration.h
    logModeConfigurationWidget.h
    logModeItemBuilder.h
    logManager.h
    view.h
    globals.h
    logMode.h
    logLevel.h
    logFile.h
    logFileReader.h
    localLogFileReader.h
    processOutputLogFileReader.h
    kioLogFileReader.h
    logLine.h
    logViewModel.h
    logViewColumn.h
    logViewColumns.h
    logViewWidgetItem.h
    logViewWidget.h
    logViewExport.h
    logViewFilterWidget.h
    logViewSearchWidget.h
    loadingBar.h
    logModeAction.h
    simpleAction.h
    multipleActions.h
    levelPrintPage.h
)
ecm_qt_declare_logging_category(ksystemlog_lib HEADER ksystemlog_debug.h IDENTIFIER KSYSTEMLOG CATEGORY_NAME log_ksystemlog DESCRIPTION "ksystemlog" EXPORT KSYSTEMLOG)

ki18n_wrap_ui(ksystemlog_lib logViewSearchWidgetBase.ui)



add_dependencies(
    ksystemlog_lib
    ksystemlog_config
)

target_link_libraries(ksystemlog_lib
    ksystemlog_config
    Qt${QT_MAJOR_VERSION}::Widgets
    Qt${QT_MAJOR_VERSION}::PrintSupport
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::Archive
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    KF${KF_MAJOR_VERSION}::ItemViews
    KF${KF_MAJOR_VERSION}::KIOCore
    KF${KF_MAJOR_VERSION}::Completion
    KF${KF_MAJOR_VERSION}::ConfigWidgets
)

=== src/modes/base/CMakeLists.txt ===
--- 
+++ 
@@ -37,5 +37,9 @@
 	ksystemlog_lib
 	ksystemlog_config
 
-        KF5::XmlGui
+        KF${KF_MAJOR_VERSION}::XmlGui
 )
+
+if (QT_MAJOR_VERSION STREQUAL "6")
+	target_link_libraries(ksystemlog_base_mode Qt::Core5Compat)
+endif()

=== src/modes/samba/CMakeLists.txt ===
add_library(ksystemlog_samba STATIC)
target_sources(ksystemlog_samba PRIVATE
	sambaConfiguration.cpp
	sambaConfigurationWidget.cpp
	sambaAnalyzer.cpp
	sambaLogMode.cpp
	sambaItemBuilder.cpp
	sambaAccessLogMode.cpp
	netbiosLogMode.cpp
	sambaFactory.cpp

        sambaConfiguration.h
        sambaConfigurationWidget.h
        sambaAnalyzer.h
        sambaLogMode.h
        sambaItemBuilder.h
        sambaAccessLogMode.h
        netbiosLogMode.h
        sambaFactory.h

)


add_dependencies(
	ksystemlog_samba
	ksystemlog_base_mode
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_samba
	
	ksystemlog_lib
	ksystemlog_base_mode
	ksystemlog_config
)

=== src/modes/xsession/CMakeLists.txt ===
add_library(ksystemlog_xsession STATIC)
target_sources(ksystemlog_xsession PRIVATE
	xsessionConfigurationWidget.cpp
	xsessionConfiguration.cpp
	xsessionAnalyzer.cpp
	xsessionItemBuilder.cpp
	xsessionLogMode.cpp
	xsessionFactory.cpp

        xsessionConfigurationWidget.h
        xsessionConfiguration.h
        xsessionAnalyzer.h
        xsessionItemBuilder.h
        xsessionLogMode.h
        xsessionFactory.h
    )

ki18n_wrap_ui(ksystemlog_xsession xsessionConfigurationWidgetBase.ui )


add_dependencies(
	ksystemlog_xsession
	ksystemlog_base_mode 
	ksystemlog_lib
)

target_link_libraries(
    ksystemlog_xsession
	
	ksystemlog_lib
	ksystemlog_base_mode 
	ksystemlog_config

        KF${KF_MAJOR_VERSION}::KIOWidgets
)

=== debian/changelog ===
ksystemlog (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5network5t64, libqt5printsupport5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:44 +0200

ksystemlog (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:10:19 +0000

ksystemlog (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:23:31 +0000

ksystemlog (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:18:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ksystemlog
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -25,16 +26,16 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/ksystemlog
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
 
 Package: ksystemlog
 Section: admin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: system log viewer
  KSystemLog show all logs of your system, grouped by General (Default system
  log, Authentication, Kernel, X.org...), and optional Services (Apache, Cups,

## ksystemlog 24.08.2

=== debian/changelog ===
ksystemlog (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:59:45 -0500

ksystemlog (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Sat, 02 Nov 2024 13:33:43 -0500

=== debian/control ===
Source: ksystemlog
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libaudit-dev [linux-any],
               libkf6archive-dev (>= 6.3.0~),
               libkf6completion-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/ksystemlog
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog

Package: ksystemlog
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: system log viewer
 KSystemLog show all logs of your system, grouped by General (Default system
 log, Authentication, Kernel, X.org...), and optional Services (Apache, Cups,
 etc, ...). It includes many features to read nicely your log files:
  * Colorize log lines depending on their severities
  * Tabbed view to allow displaying several logs at the same time
  * Auto display new lines logged
  * Detailed information for each log lines
 .
 This package is part of the KDE administration module.

## ksystemlog 24.12.0

=== debian/changelog ===
ksystemlog (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ksystemlog
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libaudit-dev [linux-any],
@@ -14,6 +13,7 @@
                libkf6completion-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.3.0~),
                libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6crash-dev (>= 6.3.0~),
                libkf6doctools-dev (>= 6.3.0~),
                libkf6i18n-dev (>= 6.3.0~),
                libkf6itemviews-dev (>= 6.3.0~),
@@ -29,8 +29,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/ksystemlog
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksystemlog
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git
 
 Package: ksystemlog
 Section: admin

## ksystemlog 24.12.1

=== debian/changelog ===
ksystemlog (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:38:06 +0000

ksystemlog (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:19:46 +0000

ksystemlog (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:13:39 +0000

ksystemlog (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Nov 2024 08:04:08 +0000

ksystemlog (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Rebase againt previous uploads.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:58:40 +0000

ksystemlog (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:45:44 +0000

ksystemlog (4:24.08.2-1ubuntu4) plucky; urgency=medium

  * Fix FTBFS-causing indent issue.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 13:31:12 -0600

ksystemlog (4:24.08.2-1ubuntu3) plucky; urgency=medium

  * Remove blank/unnecessary if/else.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 12:47:58 -0600

ksystemlog (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Skip tests on armhf.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 06 Nov 2024 12:40:35 -0600

## ksystemlog 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "6.7.0")
set (KF_MIN_VERSION "6.3.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

add_definitions(-DTRANSLATION_DOMAIN="ksystemlog")

include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})




ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSYSTEMLOG
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/ksystemlog_version.h")

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    Widgets
    Test
    PrintSupport
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    CoreAddons
    WidgetsAddons
    ItemViews
    KIO
    Config
    Archive
    I18n
    Completion
    TextWidgets
    Crash
)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(Journald)
if(JOURNALD_FOUND)
    find_package(Qt6Network ${QT_MIN_VERSION} CONFIG REQUIRED)
    add_definitions(-DHAVE_JOURNALD)
endif()

find_package(Audit)
if(AUDIT_FOUND)
    add_definitions(-DHAVE_AUDIT)
endif()

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckTypeSize)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

# Help Eclipse to parse errors more efficiently
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0")
endif(CMAKE_COMPILER_IS_GNUCC)
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fmessage-length=0")
endif(CMAKE_COMPILER_IS_GNUCXX)


add_custom_target(
    pkg
    COMMAND ./build-package.sh
)

##
# To specify a different install prefix, use :
# cmake -D CMAKE_INSTALL_PREFIX=build .
#
# To help Eclipse discover include paths, use :
# cmake -D CMAKE_VERBOSE_MAKEFILE=true .
##


########### Subfolders ##########
ecm_set_disabled_deprecation_versions(QT 6.7
    KF 6.4.0
)


add_subdirectory(src)

add_subdirectory(autotests)

find_package(KF6I18n CONFIG REQUIRED)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KSYSTEMLOG FILE ksystemlog.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
ksystemlog (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:47:51 +0000

ksystemlog (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:21:53 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH 2>/dev/null)

%:
	dh $@

override_dh_auto_test:
	# Don't run tests on armhf
ifneq ("$(ARCH)", "armhf")
	xvfb-run -a dh_auto_test
endif

## ksystemlog 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})
@@ -104,8 +104,8 @@
 
 
 ########### Subfolders ##########
-ecm_set_disabled_deprecation_versions(QT 6.7
-    KF 6.4.0
+ecm_set_disabled_deprecation_versions(QT 6.8
+    KF 6.12.0
 )

=== src/modes/cups/CMakeLists.txt ===
add_library(ksystemlog_cups STATIC)

target_sources(ksystemlog_cups PRIVATE
	cupsConfiguration.cpp
	cupsConfigurationWidget.cpp
	
	cupsAnalyzer.cpp
	cupsItemBuilder.cpp
	cupsLogMode.cpp
	
	cupsAccessAnalyzer.cpp
	cupsAccessItemBuilder.cpp
	cupsAccessLogMode.cpp
	
	cupsPageAnalyzer.cpp
	cupsPageItemBuilder.cpp
	cupsPageLogMode.cpp
	
	cupsPdfAnalyzer.cpp
	cupsPdfItemBuilder.cpp
	cupsPdfLogMode.cpp
	
	cupsFactory.cpp

        cupsConfiguration.h
        cupsConfigurationWidget.h

        cupsAnalyzer.h
        cupsItemBuilder.h
        cupsLogMode.h

        cupsAccessAnalyzer.h
        cupsAccessItemBuilder.h
        cupsAccessLogMode.h

        cupsPageAnalyzer.h
        cupsPageItemBuilder.h
        cupsPageLogMode.h

        cupsPdfAnalyzer.h
        cupsPdfItemBuilder.h
        cupsPdfLogMode.h

        cupsFactory.h

)


add_dependencies(
	ksystemlog_cups
	 
	ksystemlog_base_mode
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_cups
	
	ksystemlog_lib
	ksystemlog_base_mode
	ksystemlog_config
)

=== src/modes/daemon/CMakeLists.txt ===
add_library(ksystemlog_daemon STATIC)

target_sources(ksystemlog_daemon PRIVATE
	daemonConfigurationWidget.cpp
	daemonConfiguration.cpp
	daemonLogMode.cpp
	daemonFactory.cpp

        daemonConfigurationWidget.h
        daemonConfiguration.h
        daemonLogMode.h
        daemonFactory.h
    )


add_dependencies(
	ksystemlog_daemon
	ksystemlog_base_mode 
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_daemon
	
	ksystemlog_lib
	ksystemlog_base_mode 
	ksystemlog_config
)

=== debian/changelog ===
ksystemlog (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Add lintian override for not shipping manuals, there’s none upstream
    and the program has a very limited set of arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:58 +0200

=== debian/control ===
--- 
+++ 
@@ -26,9 +26,9 @@
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/en/ksystemlog
+Homepage: https://apps.kde.org/ksystemlog/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksystemlog
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksystemlog.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## ksystemlog 25.04.3

=== debian/changelog ===
ksystemlog (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:52:13 +0100

ksystemlog (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:56:14 +0100

ksystemlog (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:14:33 +0100

ksystemlog (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:58:47 +0100

## ksystemlog 25.07.80

=== debian/changelog ===
ksystemlog (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:20:50 +0100

## ksystemlog 25.07.90

=== debian/changelog ===
ksystemlog (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:56:22 +0100

## ksystemlog 25.08.0

=== debian/changelog ===
ksystemlog (4:25.08.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 00:42:37 +0000

ksystemlog (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:22:24 +0000

ksystemlog (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:47:27 +0000

ksystemlog (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:52:26 +0000

ksystemlog (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:37:44 +0000

ksystemlog (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:49:41 +0000

ksystemlog (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:16:38 +0000

ksystemlog (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:52:20 +0000

ksystemlog (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:43:18 +0000

ksystemlog (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:38:45 +0000

ksystemlog (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:54:34 +0000

ksystemlog (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:25:59 +0000

ksystemlog (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:57:19 +0000

ksystemlog (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:52:38 +0000

ksystemlog (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:30:44 +0000

ksystemlog (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:55:47 +0000

ksystemlog (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:39:29 +0000

ksystemlog (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:29:59 +0000

ksystemlog (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:09:03 +0000

ksystemlog (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:20:00 +0000

ksystemlog (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:43:06 +0000

ksystemlog (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:15:24 +0000

ksystemlog (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:15:12 +0000

ksystemlog (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:08:24 +0000

ksystemlog (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:55:20 +0000

ksystemlog (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:23:17 +0000

ksystemlog (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 17:21:16 +0000

ksystemlog (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:15:40 +0000

ksystemlog (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:53:09 +0000

ksystemlog (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:57:58 +0000

ksystemlog (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:19:55 +0000

ksystemlog (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:38:17 +0000

ksystemlog (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:21:01 +0000

ksystemlog (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:08:44 +0000

ksystemlog (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:29:26 +0000

ksystemlog (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:25:28 +0000

ksystemlog (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:37:00 +0000

ksystemlog (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:51 +0000

ksystemlog (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:00:45 +0000

ksystemlog (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Nov 2021.12.25:09 +0000

ksystemlog (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:21:06 +0000

ksystemlog (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:21 +0000

ksystemlog (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:22:03 +0000

ksystemlog (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:59:14 +0000

ksystemlog (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:28:09 +0000

ksystemlog (4:21.04.1-0neon) focal; urgency=medium

  * New release



## ksystemlog 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "6.7.0")
-set (KF_MIN_VERSION "6.3.0")
+set (QT_MIN_VERSION "6.8.0")
+set (KF_MIN_VERSION "6.11.0")
 
 find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -104,8 +104,8 @@
 
 
 ########### Subfolders ##########
-ecm_set_disabled_deprecation_versions(QT 6.8
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9
+    KF 6.13.0
 )

=== src/modes/acpid/CMakeLists.txt ===
add_library(ksystemlog_acpid STATIC)

target_sources(ksystemlog_acpid PRIVATE
	acpidConfigurationWidget.cpp
	acpidConfiguration.cpp
	acpidAnalyzer.cpp
	acpidItemBuilder.cpp
	acpidLogMode.cpp
	acpidFactory.cpp
        acpidConfigurationWidget.h
        acpidConfiguration.h
        acpidAnalyzer.h
        acpidItemBuilder.h
        acpidLogMode.h
        acpidFactory.h
)


add_dependencies(
	ksystemlog_acpid
	
	ksystemlog_base_mode 
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_acpid
	
	ksystemlog_lib
	ksystemlog_base_mode 
	ksystemlog_config
)

=== src/modes/audit/CMakeLists.txt ===

add_library(ksystemlog_audit STATIC)
target_sources(ksystemlog_audit PRIVATE
        auditFactory.cpp auditFactory.h
        auditConfigurationWidget.cpp auditConfigurationWidget.h
        auditConfiguration.cpp auditConfiguration.h
        auditAnalyzer.cpp auditAnalyzer.h
        auditLogMode.cpp auditLogMode.h
        auditItemBuilder.cpp auditItemBuilder.h
        auditConvertor.cpp auditConvertor.h
)

add_dependencies(
	ksystemlog_audit
	
	ksystemlog_base_mode
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_audit
	
	ksystemlog_lib
	ksystemlog_base_mode
	ksystemlog_config
	
        PkgConfig::PC_AUDIT
)

=== debian/changelog ===
ksystemlog (4:25.08.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:36:36 +0000

ksystemlog (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:53:39 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, shared-mime-info
Restrictions: rw-build-tree

## ksystemlog 25.08.1+p24.04+vstable+git20250910.0236

=== debian/changelog ===
ksystemlog (4:25.08.1+p24.04+vstable+git20250910.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 02:36:41 +0000

## ksystemlog 25.08.1+p24.04+vstable+git20251001.1208

=== debian/changelog ===
ksystemlog (4:25.08.1+p24.04+vstable+git20251001.1208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 12:08:15 +0000
